Bug 1862705 - Review Request: rgbds - A development package for the Game Boy, including an assembler
Summary: Review Request: rgbds - A development package for the Game Boy, including an ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-01 15:54 UTC by Benjamin Lowry
Modified: 2020-08-12 02:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-12 02:03:13 UTC
Type: Bug
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Benjamin Lowry 2020-08-01 15:54:27 UTC
Spec URL: https://ben.gmbh/review-specs/rgbds.spec
SRPM URL: https://ben.gmbh/review-srpms/rgbds-0.4.1-1.fc32.src.rpm
FAS: blowry
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48378757


This package was previously reviewed (https://bugzilla.redhat.com/show_bug.cgi?id=1428974) and retired due to an FTBFS. I've submitted this review request to unretire it.

Comment 1 Andy Mender 2020-08-02 10:14:26 UTC
> URL:            https://github.com/rednex/%{name}
> Source0:        https://github.com/rednex/%{name}/archive/v%{version}.tar.gz

- You can reuse the URL in the Source0 field with the %{url} macro.
- Try a different url in Source0, for instance: https://github.com/rednex/rgbds/archive/v0.4.1/rgbds-0.4.1.tar.gz
  With macros it would look like this:
  %{url}/archive/v%{version}/%{name}-{%version}.tar.gz
  Otherwise, you're archive will be called "v0.4.1.tar.gz" and that's both generic and not the correct name of the archive since the correct name is "rgbds-v0.4.1.tar.gz"

> BuildRequires:  gcc byacc flex libpng-devel

- List BuildRequires separately and alphabetically like so:
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  libpng-devel

- libpng-devel should be listed as "pkgconfig(libpng)", because this -devel package provides a pkgconfig file.

> %install
> make install PREFIX=%{buildroot}/usr/ bindir=%{buildroot}%{_bindir} mandir=%{buildroot}%{_mandir} BINMODE=0755 STRIP="" Q=""

- I'm not sure sure whether all of these dirs need to be defined. Can you check whether %make_install can be used instead?
- Also, don't forget about the "-p" flag to preserve timestamps :)

The main review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/rgbds
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names
  Review: That's fine since it's an unretirement request.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 331 files have unknown
     license. Detailed output of licensecheck in
     /home/amender/rpmbuild/SPECS/rgbds/rgbds/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
     Review: yes, but see earlier comments.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
     Review: see earlier comments.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: rgbds-0.4.1-1.fc33.x86_64.rpm
          rgbds-debuginfo-0.4.1-1.fc33.x86_64.rpm
          rgbds-debugsource-0.4.1-1.fc33.x86_64.rpm
          rgbds-0.4.1-1.fc33.src.rpm
rgbds.x86_64: W: spelling-error %description -l en_US checksum -> check sum, check-sum, checks um
rgbds.x86_64: W: manual-page-warning /usr/share/man/man1/rgblink.1.gz 129: warning: macro `display-type-stack1' not defined
rgbds.src: W: spelling-error %description -l en_US rgbasm -> orgasm
rgbds.src: W: spelling-error %description -l en_US rgblink -> blink
rgbds.src: W: spelling-error %description -l en_US rgbfix 
rgbds.src: W: spelling-error %description -l en_US checksum -> check sum, check-sum, checks um
rgbds.src: W: spelling-error %description -l en_US rgbgfx 
4 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rgbds-debuginfo-0.4.1-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name rgbds
(none): E: no installed packages by name rgbds-debugsource
(none): E: no installed packages by name rgbds-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://github.com/rednex/rgbds/archive/v0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : cecee415a3fafe56a761f033ffbf6c6aa6af1e47dc2b764ffd04104897bbd2e5
  CHECKSUM(SHA256) upstream package : cecee415a3fafe56a761f033ffbf6c6aa6af1e47dc2b764ffd04104897bbd2e5


Requires
--------
rgbds (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

rgbds-debuginfo (rpmlib, GLIBC filtered):

rgbds-debugsource (rpmlib, GLIBC filtered):



Provides
--------
rgbds:
    rgbds
    rgbds(x86-64)

rgbds-debuginfo:
    debuginfo(build-id)
    rgbds-debuginfo
    rgbds-debuginfo(x86-64)

rgbds-debugsource:
    rgbds-debugsource
    rgbds-debugsource(x86-64)

Comment 3 Andy Mender 2020-08-02 19:43:58 UTC
All nice and clean. Package approved!

Comment 4 Fedora Update System 2020-08-03 14:11:50 UTC
FEDORA-2020-b16a6d4fee has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b16a6d4fee

Comment 5 Fedora Update System 2020-08-04 01:06:53 UTC
FEDORA-2020-b16a6d4fee has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b16a6d4fee \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b16a6d4fee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-12 02:03:13 UTC
FEDORA-2020-b16a6d4fee has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.